Subject: Re: Dip switch setting on Z-80 Card and Grappler+ Printer card
From: [email-masked] (Richard Der)
Date: Wed, 10 Jul 96 00:39:32 PDT
Newsgroups: comp.sys.apple2

>Does any one know what the dip switches on the above mentioned
>card are used for?
>
>The printer card is a Grappler+ Printer interface made by
>Orange Micro Inc,  On it there is a bank of 4 dip switches.

Grappler+ DIP switch settings:
 
DIP switch positions            1*      2       3       4
------------------------------------------------------------
Anadex Printers                 off     on      off     off
Apple DMP                       off     off     on      off
C. Itoh 8510 EP                 off     on      on      on
Epson Dot Matrix Printers       off     on      on      on
Hewlett Packard Think-Jet       off     on      on      on
NEC 8023, C.Itoh 8510/ProWriter off     on      on      off
Okidaata 82A,83A,84,182,183,92,
         93,192,193             off     off     on      on
Okidata 84 w/o Step II Graphics off     off     off     on
Panasonic KXP-1090              off     on      on      on
Smith-Corona D-100/200/300      off     on      on      on
Star Micronics Series           off     on      off     on
 
**Transparent Mode              off     off     off     off

* Switch 1 controls the MSB (Most Significant Bit=8th bit of data).
When this switch is on, the MSB is not transmitted to the printer.
When this switch is off, the MSB is under software control. The
printer must be set to 7 data bits, no line feed to use the settings
in the table.
 
** If your printer is not listed, then the card should be set to
"transparent" mode (turn all switches to off). This will disable
the special screen dump features, which are only useful under
BASIC anyway.
 
The screen dump commands are: Control-I G (press control-I, followed
by the letter G) for a hi-res page 1 dump, Control-I G2 for a page
2 dump, Control-I Ge for a double-hi-res dump, Control-I S for
a 40 column text screen dump and Control-I 8S for an 80 column
screen dump.

-----
The Palmtree BBS  310-453-8726 v.32
Inet: [email-masked]